﻿Imports System.Data
Imports System.Data.OleDb

Partial Class LightboxDetails
    Inherits System.Web.UI.Page

    Dim objConn As New OleDbConnection
    Dim objCmd As New OleDbCommand
    Dim dtReader As OleDbDataReader
    Dim strConnString, strSQL As String

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        strConnString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & _
        Server.MapPath("~/App_Data/mydatabase.mdb") & ";"
        objConn = New OleDbConnection(strConnString)
        objConn.Open()

        If Not Page.IsPostBack() Then
            ViewData()
        End If

        Me.hplNextPage.NavigateUrl = "NextPage.aspx?height=150&width=350"
        Me.hplNextPage.CssClass = "thickbox"
        Me.hplNextPage.Attributes.Add("title", "New Content")

        Me.hplClose.NavigateUrl = "JavaScript:void(0);"
        Me.hplClose.Attributes.Add("OnClick", "tb_remove();")
    End Sub

    Protected Sub ViewData()
        '*** DataTable ***'
        Dim dtAdapter As OleDbDataAdapter
        Dim dt As New DataTable
        strSQL = "SELECT * FROM customer WHERE CustomerID = '" & Request.QueryString("CusID") & "' "
        dtAdapter = New OleDbDataAdapter(strSQL, objConn)
        dtAdapter.Fill(dt)

        If dt.Rows.Count > 0 Then
            Me.lblCustomerID.Text = dt.Rows(0)("CustomerID")
            Me.lblName.Text = dt.Rows(0)("Name")
            Me.lblEmail.Text = dt.Rows(0)("Email")
            Me.lblCountryCode.Text = dt.Rows(0)("CountryCode")
            Me.lblBudget.Text = dt.Rows(0)("Budget")
            Me.lblUsed.Text = dt.Rows(0)("Used")
        End If
    End Sub

    Protected Sub Page_Unload(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Unload
        objConn.Close()
        objConn = Nothing
    End Sub
End Class